package com.ematou.wxservice.mapper;

import com.ematou.wxservice.entity.pojo.Material;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 公众号素材数据操作
 *
 * @author zhushouping
 * @since 1.0.0
 * @date 2023/8/15
 */
@Mapper
@Repository
public interface MaterialMapper {

    int insertMaterial(@Param("material") Material material);

    int updateMaterial(@Param("material") Material material);

    Material queryMaterialByFileName(@Param("fileName") String fileName);

    Material queryMaterialByMediaId(@Param("mediaId") String mediaId);

    int deleteMaterialByMediaId(@Param("mediaId") String mediaId);
}
